:root {
  --yellow: #ffa600;
  --purple: #74157d;
  --light-yellow: #fffbe6;
  --width: 768px;
}

@font-face {
    font-family: 'Atkinson';
    src: url('../static/fonts/AtkinsonHyperlegibleNext-Regular.otf') format('opentype');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'Atkinson-Bold';
    src: url('../static/fonts/AtkinsonHyperlegibleNext-ExtraBold.otf') format('opentype');
    font-weight: normal;
    font-style: normal;
}

body {
  color: var(--purple);
  font-size: 1.4em;
  font-family: Atkinson;
}

h1,
h2,
h3,
h4 {
  font-family: Atkinson-Bold;
}

img {
  margin-left: auto;
  margin-right: auto;
}

p {
  padding: 5px 0px;
}

button {
  background-color: var(--purple);
  color: var(--yellow);
  padding: 15px;
  border-radius: 25px;

  a {
    text-decoration: none;
    color: var(--yellow);
    font-family: Atkinson-Bold;
  }
}

.content {
  padding: 10px 20px;
  max-width: var(--width);
  margin: 40px auto;
}

.banner {
  font-size: 1.5em;
}

.yellow-bg {
  background-color: var(--yellow);
}

.light-yellow-bg {
  background-color: var(--light-yellow);
}

.purple-bg {
  background-color: var(--purple);
}

.yellow-text {
  color: var(--yellow);
}

.light-yellow-text {
  color: var(--light-yellow);
}

.purple-text {
  color: var(--purple);
}

.bold {
  font-family: Atkinson-Bold;
}

.card {
  background-color: var(--yellow);
  padding: 10px 20px;
  margin: 12px;
  border-radius: 25px;
  height: 80%;
}

.list {
  background-color: var(--purple);
  padding: 25px 20px;
  margin: 12px;
  border-radius: 25px;
  color: #fff;
}

.big-number {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100%;
}

@media screen and (min-width: 48em) {
  .big-number {
    font-size: 4em;
  }
}

@media screen and (max-width: 47.999em) {
  .big-number {
    font-size: 3em;
  }
}

@media screen and (max-width: 30em) {
  .big-number {
    font-size: 0em;
    width: 0px;
  }
}

.top-border {
  background-image: url('../static/img/pixelrain.png');
  background-repeat: repeat-x;
  height: 136px;
}

.bottom-border {
  background-image: url('../static/img/pixelrain.png');
  background-repeat: repeat-x;
  transform: rotate(180deg);
  height: 136px;
}

.footer {
  background-color: var(--purple);
  color: var(--yellow);
  display: flex;
  align-content: center;
  justify-content: center;
  height: 50px;

  a {
    text-decoration: none;
    color: var(--yellow);
    font-family: Atkinson-Bold;
  }

}

.top-nav {
  top: 0px;
  position: sticky;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-around;
  background-color: var(--purple);
  color: var(--yellow);
  height: 50px;
  padding: 1em;
  width: 100;
  a {
    text-decoration: none;
    color: var(--yellow);
    font-family: Atkinson-Bold;
    font-size: 1.2em;
  }
}


.menu {
  display: flex;
  flex-direction: row;
  list-style-type: none;
  margin: 0;
  padding: 0;
}

.menu > li {
  margin: 0 1rem;
  overflow: hidden;
}

.menu-button-container {
  display: none;
  height: 100%;
  width: 30px;
  cursor: pointer;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

#menu-toggle {
  display: none;
}

.menu-button,
.menu-button::before,
.menu-button::after {
  display: block;
  background-color: #fff;
  position: absolute;
  height: 4px;
  width: 30px;
  transition: transform 400ms cubic-bezier(0.23, 1, 0.32, 1);
  border-radius: 2px;
}

.menu-button::before {
  content: '';
  margin-top: -8px;
}

.menu-button::after {
  content: '';
  margin-top: 8px;
}

#menu-toggle:checked + .menu-button-container .menu-button::before {
  margin-top: 0px;
  transform: rotate(405deg);
}

#menu-toggle:checked + .menu-button-container .menu-button {
  background: rgba(255, 255, 255, 0);
}

#menu-toggle:checked + .menu-button-container .menu-button::after {
  margin-top: 0px;
  transform: rotate(-405deg);
}

/* @media (max-width: var(--width)) { */
@media (max-width: 768px) {
  .top-nav {
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
  }

  .menu-button-container {
    display: flex;
  }
  .menu {
    position: absolute;
    top: 0;
    margin-top: 75px;
    left: 0;
    flex-direction: column;
    width: 100%;
    justify-content: center;
    align-items: center;
  }
  #menu-toggle ~ .menu li {
    height: 0;
    margin: 0;
    padding: 0;
    border: 0;
    transition: height 400ms cubic-bezier(0.23, 1, 0.32, 1);
  }
  #menu-toggle:checked ~ .menu li {
    border: 1px solid #333;
    height: 2.5em;
    padding: 0.5em;
    transition: height 400ms cubic-bezier(0.23, 1, 0.32, 1);
  }
  .menu > li {
    display: flex;
    justify-content: center;
    margin: 0;
    padding: 0.5em 0;
    width: 100%;
    color: white;
    background-color: var(--purple);
  }
  .menu > li:not(:last-child) {
    border-bottom: 1px solid #444;
  }
}
